| Home | Libraries | People | FAQ | More

###### params_ref::append (3 of 3 overloads)

Append elements.

###### Synopsis

    template<
        class FwdIt>
    iterator
    append(
        FwdIt first,
        FwdIt last);

###### Description

This function appends a range of params to the view.

The `end()` iterator is invalidated.

###### Remarks

The strings referenced by the inputs must not come from the underlying url, or else the behavior is undefined.

###### Mandates

    std::is_convertible< std::iterator_traits< FwdIt >::reference_type, param_view >::value == true

###### Complexity

Linear in `this->url().encoded_query().size()`.

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Return Value

An iterator to the first new element.

###### Parameters

Name | Description
--- | ---
`first`, `last` | The range of params to append.